/****************************************************************************************************************
   Program: 430_merge_w_vrdc.sas

   Purpose: This program reads in the Excel file containing MDS-derived, facility-level variables downloaded from 
			the VRDC and merges it with the file created in the 320 program to add the LTC Focus and Nursing Home 
			Compare variables. 

   Input files: 420_avg_daily_census_suppressed.xlsx
                all_nh_facilities.sas7bdat

   Output files: _430_avg_dly_census_w_all_vars.sas7bdat
****************************************************************************************************************/
options nocenter mprint obs=max;

libname in "<input directory>" access=readonly;
libname out "<output directory>";

%let infilexl = <input directory>\420_avg_daily_census_suppressed.xlsx;
%let infile = in.all_nh_facilities;
%let outfile = out._430_avg_dly_census_w_all_vars;

options validvarname=v7;

proc import datafile = "&infilexl."
            dbms = xlsx
            out = vrdc_file
            replace;
            range="SAMPLE_FRAME$A4:Z14820";
            getnames=yes;
run;

proc sort data=vrdc_file;
   by CCN;
run;

data &outfile.;
   merge vrdc_file(in=a) &infile.;
   by ccn;
   if a;
run;